[gnome-photos] build: Port away from gnome-autogen.sh
- From: Pranav Kant <pranavk src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gnome-photos] build: Port away from gnome-autogen.sh
- Date: Thu, 12 Feb 2015 14:44:43 +0000 (UTC)
commit 10e9212844d9cd260074f9663aeb7e8b0f92310f
Author: Pranav Kant <pranav913 gmail com>
Date: Wed Feb 11 11:35:06 2015 +0530
build: Port away from gnome-autogen.sh
See: https://wiki.gnome.org/Projects/GnomeCommon/Migration
https://bugzilla.gnome.org/show_bug.cgi?id=744309
autogen.sh | 50 +++++++++++++++++++++++++++++++++++---------------
1 files changed, 35 insertions(+), 15 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index aac383a..b4e0d5f 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -4,24 +4,44 @@
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
-PKG_NAME="gnome-photos"
-ACLOCAL_FLAGS="-I libgd $ACLOCAL_FLAGS"
-
-(test -f $srcdir/src/photos-main.c) || {
- echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
- echo " top-level $PKG_NAME directory"
+(test -f $srcdir/configure.ac) || {
+ echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level project directory"
exit 1
}
-which gnome-autogen.sh || {
- echo "You need to install gnome-common from the GNOME git"
- exit 1
-}
+PKG_NAME=`autoconf --trace "AC_INIT:$1" "$srcdir/configure.ac"`
+ACLOCAL_FLAGS="-I libgd $ACLOCAL_FLAGS"
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+ echo "**Warning**: I am going to run \`configure\' with no arguments." >&2
+ echo "If you wish to pass any to it, please specify them on the" >&2
+ echo \`$0\'" command line." >&2
+ echo "" >&2
+fi
git submodule update --init --recursive
-REQUIRED_AUTOCONF_VERSION=2.63
-REQUIRED_AUTOMAKE_VERSION=1.11
-REQUIRED_INTLTOOL_VERSION=0.40.0
-REQUIRED_PKG_CONFIG_VERSION=0.22
-. gnome-autogen.sh
+# if the AC_CONFIG_MACRO_DIR() macro is used, create that directory
+# This is a automake bug fixed in automake 1.13.2
+# See http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13514
+m4dir=`autoconf --trace 'AC_CONFIG_MACRO_DIR:$1'`
+if [ -n "$m4dir" ]; then
+ mkdir -p $m4dir
+fi
+
+set -x
+
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+
+if [ "$NOCONFIGURE" = "" ]; then
+ $srcdir/configure "$@" || exit 1
+
+ if [ "$1" = "--help" ]; then exit 0 else
+ echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+ fi
+else
+ echo "Skipping configure process."
+fi
+
+set +x
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]